/// <reference types="lodash" />
import { SetupContext, ComputedRef } from '@vue/composition-api';
import { ClassName, Styles } from '../../common';
import { BaseTableCol, TableRowData, TdBaseTableProps } from '../type';
import { TableRowFixedClasses, RowAndColFixedPosition, TableColFixedClasses, RecalculateColumnWidthFunc } from '../interface';
export declare function getColumnFixedStyles(col: TdBaseTableProps['columns'][0], index: number, rowAndColFixedPosition: RowAndColFixedPosition, tableColFixedClasses: TableColFixedClasses): {
    style?: Styles;
    classes?: ClassName;
};
export declare function getRowFixedStyles(rowId: string | number, rowIndex: number, rowLength: number, fixedRows: TdBaseTableProps['fixedRows'], rowAndColFixedPosition: RowAndColFixedPosition, tableRowFixedClasses: TableRowFixedClasses): {
    style: Styles;
    classes: ClassName;
};
export default function useFixed(props: TdBaseTableProps, context: SetupContext, finalColumns: ComputedRef<BaseTableCol<TableRowData>[]>): {
    tableWidth: import("@vue/composition-api").Ref<number>;
    tableElmWidth: import("@vue/composition-api").Ref<number>;
    thWidthList: import("@vue/composition-api").Ref<{
        [x: string]: number;
    }>;
    isFixedHeader: import("@vue/composition-api").Ref<boolean>;
    isWidthOverflow: import("@vue/composition-api").Ref<boolean>;
    tableContentRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    isFixedColumn: import("@vue/composition-api").Ref<boolean>;
    showColumnShadow: {
        left: boolean;
        right: boolean;
    };
    rowAndColFixedPosition: import("@vue/composition-api").Ref<RowAndColFixedPosition>;
    virtualScrollHeaderPos: import("@vue/composition-api").Ref<{
        left: number;
        top: number;
    }>;
    scrollbarWidth: import("@vue/composition-api").Ref<number>;
    setData: (dataSource: TableRowData[]) => void;
    refreshTable: import("lodash").DebouncedFunc<() => void>;
    emitScrollEvent: (e: WheelEvent) => void;
    updateThWidthListHandler: () => void;
    updateColumnFixedShadow: (target: HTMLElement, extra?: {
        skipScrollLimit?: boolean;
    }) => void;
    setUseFixedTableElmRef: (val: HTMLTableElement) => void;
    getThWidthList: () => {
        [x: string]: number;
    };
    updateThWidthList: (trList: HTMLCollection | {
        [colKey: string]: number;
    }) => void;
    setRecalculateColWidthFuncRef: (val: RecalculateColumnWidthFunc) => void;
    addTableResizeObserver: (tableElement: HTMLDivElement) => void;
};
